Skip to navigation

Generate Cart and Checkout URL for Quote

Generates a cart URL and a checkout URL for a specific quote based on the provided quote_id.

You can only generate cart and checkout URLs for quotes in one of the following statuses:

  • New (0)
  • In Process (2)
  • Updated by Customer (3)

This endpoint will generate a checkout link for a quote even if it is configured to hide the checkout button on the Buyer Portal. You can use this to create an alternate checkout flow for your sales quotes.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

quote_idintegerRequired
The internal numeric ID of the sales quote.

Request

This endpoint expects an object.

Response

OK
codedoubleOptional
HTTP Response Code
dataobjectOptional
metaobjectOptional

Errors

422
Unprocessable Entity Error